Reporting Groups
Delete a reporting group
Delete an existing reporting group from the organization. The reporting group must not have assigned Workspaces and must be directly editable. Returns no content (204) upon successful deletion.
DELETE
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
Delete a reporting group
curl --request DELETE \
--url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
Maximum string length:
24Pattern:
^[0-9a-f]{24}$The unique identifier of the reporting group to be deleted
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Response
Reporting group deleted successfully. No content is returned.
⌘I
Delete a reporting group
